%define name 	wireless-tools
%define version	28
%define pre	6
%define rel	1
%if %{pre}
%define release	0.pre%{pre}.%{rel}mdk
%define src	wireless_tools.%{version}.pre%{pre}.tar.bz2
%else
%define release	%{rel}mdk
%define src	wireless_tools.%{version}.tar.bz2
%endif
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt HOTPLUG.txt

Summary: Wireless ethernet configuration tools
Group: System/Kernel and hardware
License: GPL
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/%{src}
Patch2: wireless_tools.27-wireless-man-upd.patch.bz2
Patch3: wireless_tools.28-ieee1394.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts: man-pages-fr < 1.58.0-16mdk

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%package -n %{lib_name}
Summary: Wireless_tools library
Group: System/Libraries
Provides: %{lib_name_orig}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

%package -n %{lib_name}-devel
Summary: Wireless_tools development library
Group: Development/C
Provides: %{lib_name_orig}-devel
Requires: %{lib_name} = %{version}

%description -n %{lib_name}-devel
This package contains libraries and headers for use in developing
wireless tools.

%prep
%setup -q -n wireless_tools.%{version}
%patch2 -p0
%patch3 -p1 -b .ieee1394
chmod a+r %{docs}

%build
%make clean
%make "CFLAGS=$RPM_OPT_FLAGS -I." BUILD_SHARED=1

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall \
	PREFIX=%{buildroot}/%{_prefix} \
	INSTALL_LIB=%{buildroot}/%{_libdir} \
	INSTALL_MAN=%{buildroot}/%{_mandir} \
	INSTALL_DIR=%{buildroot}/sbin

mkdir -p $RPM_BUILD_ROOT%_mandir/fr/man8
install -m 644 fr/* $RPM_BUILD_ROOT%_mandir/fr/man8/

cd %{buildroot}%{_libdir}
ln -sf libiw.so.%{version} libiw.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc %{docs}
/sbin/*
%{_mandir}/man*/*
%lang(fr) %{_mandir}/fr/man*/*

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/libiw.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%{_libdir}/libiw.so
%{_includedir}/iwlib.h
%{_includedir}/wireless.h

%changelog
* Thu Jul 28 2005 Olivier Blin <oblin@mandriva.com> 28-0.pre6.1mdk
- 28-pre6
- rediff Patch3
- fix specfile to allow to build pre-releases without removing the
  pre-tag in the tarball name
- remove requires on release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 27-1mdk
- new release (the previous updates was bogus and we packaged pre19 instead of
  pre23)
- rediff patch3

* Thu Aug 19 2004 Olivier Blin <blino@mandrake.org> 27-0.pre23.2mdk
- allow mac_ieee1394 modifier in iftab/ifrename (crappy Patch3)

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 27-0.pre23.1mdk
- new version

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 27-0.pre19.2mdk
- patch 2: update wireless.7 man page
- install french translations of man pages

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 27-0.pre19.1mdk
- new release
- drop patch 1 (obsolete)
- fix build

* Fri Nov 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 26-3mdk
- rework patch1 (force v16)

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 26-2mdk
- lib64 fixes

* Thu Aug 21 2003 Laurent Culioli <laurent@pschit.net> 26-1mdk
- 26
- Update Patch1

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 25-5mdk
- rebuild

* Tue Feb 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 25-4mdk
- use %%mklibname

* Mon Jan 20 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 25-3mdk
- Force to be compiled by v15.

* Mon Dec 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 25-2mdk
- move iwlib.h and iwlib.a to -devel, create libiw.so, quiet setup
- work by Ben Reser <ben@reser.org>:
- Fix permissions on %%doc dir files
- Fix missing %%posts for lib package
- Fix Summary caps to shut up rpmlint.
- Fix missing %%defattr on lib package.
- Switched to using %%makeinstall rather than installing by "hand."
- Added missing files libiw.so, libiw.so.25, iwlib.h, and iwevent
- Adding missing documentation (man pages and %%doc dir things)
- Split library.
- Dynamically link the tools to the library rather than static.

* Mon Nov  4 2002 Frederic Lepied <flepied@mandrakesoft.com> 25-1mdk
- 25

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 24-1mdk
- 24
- added missing binaries (Ben Reser)

* Tue Apr  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 23-1mdk
- 23

* Fri Nov 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 22-1mdk
- 22

* Sat Sep 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 21-2mdk
- correct doc file permissions

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 21-1mdk
- 21

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20-4mdk
- Fix build with glibc 2.2.2's more strict headers (add patch 0)

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20-3mdk
- Use RPM_OPT_FLAGS

* Fri Jan 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 20-2mdk
- moved from contrib

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 20-1mdk
- new in contribs
- used srpm from Kyle VanderBeek <kylev@yaga.com> 20-1mdk
	- First spec file for Mandrake distribution.
